--- /dev/null	Mon Jul  1 21:15:23 2013
+++ new/usr/src/lib/libfsd/common/libfsd.h	Mon Jul  1 21:15:23 2013
@@ -0,0 +1,37 @@
+/*
+ * This file and its contents are supplied under the terms of the
+ * Common Development and Distribution License ("CDDL"), version 1.0.
+ * You may only use this file in accordance with the terms of version
+ * 1.0 of the CDDL.
+ *
+ * A full copy of the text of the CDDL should have accompanied this
+ * source.  A copy of the CDDL is also available via the Internet at
+ * http://www.illumos.org/license/CDDL.
+ */
+
+/*
+ * Copyright 2013 Damian Bogel.  All rights reserved.
+ */
+
+/*
+ * Library used to drive fsd pseudo-device driver.
+ */
+
+#ifndef _LIBFSD_H
+#define	_LIBFSD_H
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#define	INVALID_FSD_HANDLE	-1
+
+extern int fsd_open();
+extern void fsd_close(int fd);
+extern void fsd_print_msg(const char *msg, int fd);
+
+#ifdef __cplusplus
+}
+#endif
+
+#endif /* _LIBFSD_H */
